Bug 1003473 - nova quota-update failed
nova quota-update failed
Status: CLOSED UPSTREAM
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
unspecified
Unspecified Unspecified
low Severity low
: ---
: 5.0 (RHEL 7)
Assigned To: Xavier Queralt
Ami Jeain
: MoveUpstream, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-02 03:06 EDT by Hangbin Liu
Modified: 2014-09-08 01:39 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-24 03:47:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1037373 None None None Never

  None (edit)
Description Hangbin Liu 2013-09-02 03:06:49 EDT
Description of problem:
nova quota-update failed

Version-Release number of selected component (if applicable):
# rpm -qa | grep nova
openstack-nova-conductor-2013.1.3-3.el6ost.noarch
python-nova-2013.1.3-3.el6ost.noarch
openstack-nova-common-2013.1.3-3.el6ost.noarch
openstack-nova-console-2013.1.3-3.el6ost.noarch
openstack-nova-api-2013.1.3-3.el6ost.noarch
openstack-nova-cert-2013.1.3-3.el6ost.noarch
python-novaclient-2.13.0-2.el6ost.noarch
openstack-nova-scheduler-2013.1.3-3.el6ost.noarch
openstack-nova-novncproxy-0.4-6.el6ost.noarch
openstack-nova-compute-2013.1.3-3.el6ost.noarch

How reproducible:


Steps to Reproduce:

[root@hp-dl388g8-05 ~(keystone_admin)]# keystone tenant-list
+----------------------------------+------------+---------+
|                id                |    name    | enabled |
+----------------------------------+------------+---------+
| 5ff73c18f45a4644b0157cfdfb8cc393 |   admin    |   True  |
| c42c616777fc4db889c41f746ec30383 |   fs-qe    |   True  |
| 112d21cf520a4b5e86a257e9f63b6550 | kernel-qa  |   True  |
| b4c751bacaa3479d97c2eb720a10b2f2 | network-qe |   True  |
| 93de8e95fa97476b9dc65b5972947e02 |  services  |   True  |
+----------------------------------+------------+---------+
[root@hp-dl388g8-05 ~(keystone_admin)]# nova quota-show --tenant 5ff73c18f45a4644b0157cfdfb8cc393
+-----------------------------+-------+
| Property                    | Value |
+-----------------------------+-------+
| metadata_items              | 128   |
| injected_file_content_bytes | 10240 |
| ram                         | 51200 |
| floating_ips                | 10    |
| key_pairs                   | 100   |
| instances                   | 20    |
| security_group_rules        | 20    |
| injected_files              | 5     |
| cores                       | 20    |
| fixed_ips                   | -1    |
| injected_file_path_bytes    | 255   |
| security_groups             | 10    |
+-----------------------------+-------+
[root@hp-dl388g8-05 ~(keystone_admin)]# nova quota-update admin --instance 10
[root@hp-dl388g8-05 ~(keystone_admin)]# echo $?
0
# nova quota-show --tenant 5ff73c18f45a4644b0157cfdfb8cc393
+-----------------------------+-------+
| Property                    | Value |
+-----------------------------+-------+
| metadata_items              | 128   |
| injected_file_content_bytes | 10240 |
| ram                         | 51200 |
| floating_ips                | 10    |
| key_pairs                   | 100   |
| instances                   | 20    |
| security_group_rules        | 20    |
| injected_files              | 5     |
| cores                       | 20    |
| fixed_ips                   | -1    |
| injected_file_path_bytes    | 255   |
| security_groups             | 10    |
+-----------------------------+-------+


Actual results:


Expected results:


Additional info:
Comment 2 Xavier Queralt 2013-09-20 11:22:46 EDT
The funny thing is that if instead of using the tenant id in your query (quota-show) you use the 'admin' name you can see the updated quotas.

The 'nova quota-update' command already says in the documentation it expects a tenant-id and not the name. IMO the API should fail with a 404 when it receives an invalid id instead of creating a new quota entry for that non-existent tenant.
Comment 3 Xavier Queralt 2014-03-24 03:47:50 EDT
For any further follow up on this issue, please refer to the upstream bug linked to this bug.

Note You need to log in before you can comment on or make changes to this bug.